Show / Hide Table of Contents

# Class PartyList

This collection represents the actors present in your party or alliance.

##### Inheritance

System.Object
PartyList

##### Implements

System.Collections.Generic.IReadOnlyCollection<PartyMember>
System.Collections.Generic.IEnumerable<PartyMember>
System.Collections.IEnumerable

##### Inherited Members

System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.ToString()

###### Namespace: Dalamud.Game.ClientState.Party

###### Assembly: Dalamud.dll

##### Syntax

    public sealed class PartyList : IReadOnlyCollection<PartyMember>, IEnumerable<PartyMember>, IEnumerable

### Properties

| Improve this Doc View Source

#### AllianceListAddress

Gets the address of the alliance member list within the group manager.

##### Declaration

    public IntPtr AllianceListAddress { get; }

##### Property Value

Type | Description
--- | ---
System.IntPtr |

| Improve this Doc View Source

#### GroupListAddress

Gets the address of the party list within the group manager.

##### Declaration

    public IntPtr GroupListAddress { get; }

##### Property Value

Type | Description
--- | ---
System.IntPtr |

| Improve this Doc View Source

#### GroupManagerAddress

Gets the address of the Group Manager.

##### Declaration

    public IntPtr GroupManagerAddress { get; }

##### Property Value

Type | Description
--- | ---
System.IntPtr |

| Improve this Doc View Source

#### IsAlliance

Gets a value indicating whether this group is an alliance.

##### Declaration

    public bool IsAlliance { get; }

##### Property Value

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### Item[Int32]

Get a party member at the specified spawn index.

##### Declaration

    public PartyMember this[int index] { get; }

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int32 | index | Spawn index.

##### Property Value

Type | Description
--- | ---
PartyMember | A PartyMember at the specified spawn index.

| Improve this Doc View Source

#### Length

Gets the amount of party members the local player has.

##### Declaration

    public int Length { get; }

##### Property Value

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### PartyId

Gets the ID of the party.

##### Declaration

    public long PartyId { get; }

##### Property Value

Type | Description
--- | ---
System.Int64 |

| Improve this Doc View Source

#### PartyLeaderIndex

Gets the index of the party leader.

##### Declaration

    public uint PartyLeaderIndex { get; }

##### Property Value

Type | Description
--- | ---
System.UInt32 |

### Methods

| Improve this Doc View Source

#### CreateAllianceMemberReference(IntPtr)

Create a reference to an FFXIV alliance member.

##### Declaration

    public PartyMember CreateAllianceMemberReference(IntPtr address)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | address | The address of the alliance member in memory.

##### Returns

Type | Description
--- | ---
PartyMember | The party member object containing the requested data.

| Improve this Doc View Source

#### CreatePartyMemberReference(IntPtr)

Create a reference to an FFXIV party member.

##### Declaration

    public PartyMember CreatePartyMemberReference(IntPtr address)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | address | The address of the party member in memory.

##### Returns

Type | Description
--- | ---
PartyMember | The party member object containing the requested data.

| Improve this Doc View Source

#### GetAllianceMemberAddress(Int32)

Gets the address of the alliance member at the specified index of the alliance list.

##### Declaration

    public IntPtr GetAllianceMemberAddress(int index)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int32 | index | The index of the alliance member.

##### Returns

Type | Description
--- | ---
System.IntPtr | The memory address of the alliance member.

| Improve this Doc View Source

#### GetEnumerator()

##### Declaration

    public IEnumerator<PartyMember> GetEnumerator()

##### Returns

Type | Description
--- | ---
System.Collections.Generic.IEnumerator<PartyMember> |

| Improve this Doc View Source

#### GetPartyMemberAddress(Int32)

Gets the address of the party member at the specified index of the party list.

##### Declaration

    public IntPtr GetPartyMemberAddress(int index)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int32 | index | The index of the party member.

##### Returns

Type | Description
--- | ---
System.IntPtr | The memory address of the party member.

### Explicit Interface Implementations

| Improve this Doc View Source

#### IReadOnlyCollection<PartyMember>.Count

##### Declaration

    int IReadOnlyCollection<PartyMember>.Count { get; }

##### Returns

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### IEnumerable.GetEnumerator()

##### Declaration

    IEnumerator IEnumerable.GetEnumerator()

##### Returns

Type | Description
--- | ---
System.Collections.IEnumerator |

### Implements

System.Collections.Generic.IReadOnlyCollection<T>
System.Collections.Generic.IEnumerable<T>
System.Collections.IEnumerable